Verificar telefone
curl --request POST \
--url https://api.notifique.dev/v1/platform/verify \
--header 'Content-Type: application/json' \
--data '
{
"verificationToken": "eyJhbGciOiJIUzI1NiIs...",
"code": "123456"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({verificationToken: 'eyJhbGciOiJIUzI1NiIs...', code: '123456'})
};
fetch('https://api.notifique.dev/v1/platform/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/platform/verify"
payload = {
"verificationToken": "eyJhbGciOiJIUzI1NiIs...",
"code": "123456"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/platform/verify"
payload := strings.NewReader("{\n \"verificationToken\": \"eyJhbGciOiJIUzI1NiIs...\",\n \"code\": \"123456\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"apiKey": "sk_live_abc123...",
"workspaceId": "clws_01HXYZ...",
"user": {
"id": "clus_01HABC...",
"email": "dev@empresa.com",
"name": "Maria Dev",
"phone": "5511999999999",
"phoneVerified": true,
"onboardingCompleted": true
}
}
}Conta
Verificar telefone
Confirma o OTP de telefone enviado após POST /register. Envie o verificationToken retornado no register e o code de 6 dígitos (WhatsApp/SMS). Cria o primeiro workspace e devolve apiKey (uma vez), workspaceId e user. Não use esta rota para 2FA — TOTP do autenticador vai em POST /login.
POST
/
v1
/
platform
/
verify
Verificar telefone
curl --request POST \
--url https://api.notifique.dev/v1/platform/verify \
--header 'Content-Type: application/json' \
--data '
{
"verificationToken": "eyJhbGciOiJIUzI1NiIs...",
"code": "123456"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({verificationToken: 'eyJhbGciOiJIUzI1NiIs...', code: '123456'})
};
fetch('https://api.notifique.dev/v1/platform/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/platform/verify"
payload = {
"verificationToken": "eyJhbGciOiJIUzI1NiIs...",
"code": "123456"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/platform/verify"
payload := strings.NewReader("{\n \"verificationToken\": \"eyJhbGciOiJIUzI1NiIs...\",\n \"code\": \"123456\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"apiKey": "sk_live_abc123...",
"workspaceId": "clws_01HXYZ...",
"user": {
"id": "clus_01HABC...",
"email": "dev@empresa.com",
"name": "Maria Dev",
"phone": "5511999999999",
"phoneVerified": true,
"onboardingCompleted": true
}
}
}Esta página foi útil?

